Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions
openvrml::scoped_light_node Class Reference

A light that falls within a specified area. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::scoped_light_node:
[legend]

List of all members.

## Public Member Functions

virtual | ~scoped_light_node ()=0 throw ()
| Destroy.
void | render_scoped_light (viewer &v)
| Render the light.

## Protected Member Functions

| scoped_light_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual scoped_light_node * | to_scoped_light () throw ()
| Convert to a `scoped_light_node`.
virtual void | do_render_scoped_light (viewer &v)=0
| Render the light.

## Detailed Description

A light that falls within a specified area.

## Constructor & Destructor Documentation

openvrml::scoped_light_node::~scoped_light_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::scoped_light_node::scoped_light_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |  | throw ()`[protected]`

Construct.

Parameters:

  [in] | type | the `node_type`.
  [in] | scope | the `scope` to which the `node` belongs.

## Member Function Documentation

void openvrml::scoped_light_node::render_scoped_light | ( | viewer & | v | ) |

Render the light.

Delegates to `do_render_scoped_light`.

Parameters:

  [in,out] | v | a viewer.

openvrml::scoped_light_node * openvrml::scoped_light_node::to_scoped_light | ( |  | ) | throw ()`[private, virtual]`

Convert to a `scoped_light_node`.

Returns:
  a pointer to the instance.

Reimplemented from openvrml::node.

void openvrml::scoped_light_node::do_render_scoped_light | ( | viewer & | v | ) | `[private, pure virtual]`

Render the light.

Parameters:

  [in,out] | v | a `viewer`.